import { Handler, MiddlewareHandler } from 'hono';
import { DescribeRouteOptions } from 'hono-openapi';
import { M as Methods, a as Mastra, A as ApiRoute } from '../base-BlGpZfLc.js';
import 'ai';
import '../base-DT2poiVK.js';
import '@opentelemetry/api';
import '../index-CquI0inB.js';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import '../types-BtMyV38I.js';
import 'sift';
import 'zod';
import 'json-schema';
import '../di/index.js';
import 'xstate';
import 'node:events';
import '../vector/index.js';
import '../vector/filter/index.js';
import '../tts/index.js';
import '../deployer/index.js';
import '../bundler/index.js';
import 'hono/cors';

type ParamsFromPath<P extends string> = {
    [K in P extends `${string}:${infer Param}/${string}` | `${string}:${infer Param}` ? Param : never]: string;
};
declare function registerApiRoute<P extends string>(path: P, options: P extends `/api/${string}` ? never : {
    method: Methods;
    openapi?: DescribeRouteOptions;
    handler: Handler<{
        Variables: {
            mastra: Mastra;
        };
    }, P, ParamsFromPath<P>>;
    middleware?: MiddlewareHandler | MiddlewareHandler[];
}): P extends `/api/${string}` ? never : ApiRoute;

export { registerApiRoute };
