import { ac as VariableReference, aj as StepResult, o as Step, p as Workflow, j as Agent, am as WorkflowContext, aH as ToolsInput, a as Mastra, a7 as StepAction, al as WorkflowRunResult } from '../base-xpk2ifTz.cjs';
export { ae as ActionContext, ad as BaseCondition, as as DependencyCheckOutput, az as ExtractSchemaFromStep, aC as ExtractSchemaType, aA as ExtractStepResult, aD as PathsToStringProps, ap as ResolverFunctionInput, aq as ResolverFunctionOutput, ab as RetryConfig, ah as StepCondition, ai as StepConfig, ag as StepDef, a6 as StepExecutionContext, aa as StepGraph, ay as StepId, aB as StepInputType, a9 as StepNode, at as StepResolverOutput, a8 as StepVariableType, ak as StepsRecord, ar as SubscriberFunctionOutput, af as WhenConditionReturnValue, av as WorkflowActionParams, aw as WorkflowActions, au as WorkflowActors, ao as WorkflowEvent, an as WorkflowLogMessage, q as WorkflowOptions, aE as WorkflowResumeResult, W as WorkflowRunState, ax as WorkflowState, aF as createStep } from '../base-xpk2ifTz.cjs';
import { z } from 'zod';
import { a as Metric } from '../types-BtMyV38I.cjs';
import { L as Logger } from '../index-CquI0inB.cjs';
import '../base-BihKcqDY.cjs';
import 'ai';
import 'sift';
import 'json-schema';
import '../di/index.cjs';
import '@opentelemetry/api';
import 'xstate';
import 'node:events';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import '../tts/index.cjs';
import '../deployer/index.cjs';
import '../bundler/index.cjs';
import 'hono';
import 'hono/cors';
import 'hono-openapi';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function isLimboState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
    stepPath: string[];
}>;
declare function isWorkflow(step: Step<any, any, any, any> | Workflow<any, any, any, any> | Agent<any, any, any>): step is Workflow<any, any, any, any>;
declare function isAgent(step: Step<any, any, any, any> | Agent<any, any, any> | Workflow<any, any, any, any>): step is Agent<any, any, any>;
declare function resolveVariables({ runId, logger, variables, context, }: {
    runId: string;
    logger: Logger;
    variables: Record<string, VariableReference<any, any>>;
    context: WorkflowContext;
}): Record<string, any>;
declare function agentToStep<TAgentId extends string = string, TTools extends ToolsInput = ToolsInput, TMetrics extends Record<string, Metric> = Record<string, Metric>>(agent: Agent<TAgentId, TTools, TMetrics>, { mastra }?: {
    mastra?: Mastra;
}): StepAction<TAgentId, z.ZodObject<{
    prompt: z.ZodString;
}>, z.ZodObject<{
    text: z.ZodString;
}>, any>;
declare function workflowToStep<TSteps extends Step<any, any, any, any>[], TStepId extends string = any, TTriggerSchema extends z.ZodObject<any> = any, TResultSchema extends z.ZodObject<any> = any>(workflow: Workflow<TSteps, TStepId, TTriggerSchema, TResultSchema>, { mastra }: {
    mastra?: Mastra;
}): StepAction<TStepId, TTriggerSchema, z.ZodType<WorkflowRunResult<TTriggerSchema, TSteps, TResultSchema>>, any>;
declare function isConditionalKey(key: string): boolean;

export { Step, StepAction, StepResult, VariableReference, Workflow, WorkflowContext, WorkflowRunResult, agentToStep, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isAgent, isConditionalKey, isErrorEvent, isFinalState, isLimboState, isTransitionEvent, isVariableReference, isWorkflow, mergeChildValue, recursivelyCheckForFinalState, resolveVariables, updateStepInHierarchy, workflowToStep };
